/* Module configuration */

/* This file contains the table of built-in modules.
   See init_builtin() in import.c. */

#include "Python.h"
extern void init_codecs(void);
extern void init_sre(void);
extern void init_weakref(void);
extern void init_random(void);
extern void initarray(void);
extern void initbinascii(void);
extern void initcPickle(void);
extern void initcStringIO(void);
extern void initcmath(void);
extern void initmath(void);
extern void initmd5(void);
extern void initoperator(void);
extern void initparser(void);
extern void initregex(void);
extern void initsha(void);
extern void initstrop(void);
extern void initstruct(void);
extern void initthread(void);
extern void inittime(void);
extern void initunicodedata(void);

/* Moroo */
extern void init_random(void);
extern void initpyexpat(void);
/* Moroo End */
extern void PyMarshal_Init(void);
extern void initimp(void);
extern void initgc(void);
extern void init_plan9(void);

struct _inittab _PyImport_Inittab[] = {

	{"_codecs", init_codecs},
	{"_sre", init_sre},
	{"_weakref", init_weakref},
	{"_random", init_random},
	{"array", initarray},
	{"binascii", initbinascii},
	{"cPickle", initcPickle},
	{"cStringIO", initcStringIO},
	{"cmath", initcmath},
	{"math", initmath},
	{"md5", initmd5},
	{"operator", initoperator},
	{"parser", initparser},
	{"regex", initregex},
	{"sha", initsha},
	{"strop", initstrop},
	{"struct", initstruct},
	{"thread", initthread},
	{"time", inittime},
	{"unicodedata", initunicodedata},

	/* This module lives in marshal.c */
	{"marshal", PyMarshal_Init},

	/* This lives in import.c */
	{"imp", initimp},

	/* Moroo
	This module lives in pyexpat.c */
	{"pyexpat", initpyexpat},

	/* These entries are here for sys.builtin_module_names */
	{"__main__", NULL},
	{"__builtin__", NULL},
	{"_plan9", init_plan9},
	{"sys", NULL},
	{"exceptions", NULL},

#ifdef WITH_CYCLE_GC
	/* This lives in gcmodule.c */
	{"gc", initgc},
#endif

	/* Sentinel */
	{0, 0}
};
